# secd

computes the element-wise secant of the argument given in degree

## Calling Sequence

    y = secd(x)

## Arguments

x

  a real array.

y

  a real array.

## Description

The entries of `y` are the secant 1/\cos(x) of the entries of `x` given in degree. The results are real and in ]-\infty -1] \cup [1 %infty[. For entries equal to `n*180` with `n` integer, the result is exactly `-1` or `+1`. For entries equal to `n*90`with `n` integer and odd the result is infinite (or an error depending on ieee mode).

## Examples

    secd(90)
    sec(%pi/2)

## See Also

- cosd
- sec